using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace F1
{
    class Program
    {
        static void Main(string[] args)
        {
            Rechteck rechteck = new Rechteck(3, 4);
            rechteck.Ausgabe();
        }
    }

    abstract class Dimension
    {
	    public int X;
	    public int Y;

	    public Dimension(int x, int y)
	    {
		    this.X = x;
		    this.Y = y;
	    }
    
        abstract public int FlaecheBerechnen();
    
        virtual public void Ausgabe()
        {
	        Console.WriteLine("Hier kommt die Ausgabe rein.");
        }
    }

    class Rechteck : Dimension
    {
	    public Rechteck(int x, int y) : base(x, y) {}
        
        override public int FlaecheBerechnen()
	    {
		    return X * Y;
	    }
	
        override public void Ausgabe()
	    {
		    Console.WriteLine("Ausgabe für ein Rechteck.");
	    }
    }

}